Bug 134596 - Change from using su to runuser in initscripts and cron jobs
Change from using su to runuser in initscripts and cron jobs
Product: Fedora
Classification: Fedora
Component: inn (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-10-04 17:01 EDT by Daniel Walsh
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-05 10:30:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2004-10-04 17:01:40 EDT
We have created a newversion of the su command called runuser, which
will run a program as a different user.  The command can only be run
as root and will not use pam or prompt for passwords.  Otherwise it
works exactly as su.  This change is needed by SELinux in order to
support proper transitioning on process execution.
Comment 1 Thomas Woerner 2004-10-05 10:30:59 EDT
Fixed in rawhide in rpm inn-2.3.5-11.1 or newer.

Note You need to log in before you can comment on or make changes to this bug.